import { select, arc } from 'd3';

const svg = select('svg');
svg.style('background-color', 'lightblue');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const fillColor = '#99fa70';
const strokeColor = 'darkblue';

const circle = g
  .append('circle')
  .attr('r', height / 2)
  .attr('fill', fillColor)
  .style('stroke', strokeColor)
  .attr('stroke-width', '8');

const eyeSpacing = 100;
const eyesYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = eyeRadius * 2;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
  .attr('transform', `translate(0, ${eyesYOffset})`)
  .attr('fill', strokeColor);

const leftEye = eyesG
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
  .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition()
  .duration(1500)
  .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition()
  .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
  .attr('x', -eyeSpacing - eyebrowWidth / 2)
  .attr('width', eyebrowWidth)
  .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
  .attr('x', eyeSpacing - eyebrowWidth / 2)
  .attr('width', eyebrowWidth)
  .attr('height', eyebrowHeight);

const mouth = g
  .append('path')
  .style('fill', strokeColor)
  .attr(
    'd',
    arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle: (Math.PI * 3) / 2
    })
  );
